#
# feat.tcl - main features
# 
# Copyright (C) 2005  Toni Ronkko
# 
# Peach Gardens is free software; you can redistribute it and/or modify 
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# Peach Gardens is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Nov 2004  Toni Ronkko <toni at users.playstation2-linux.com>
# 
# $Id: feat.tcl,v 1.5 2005/01/16 23:33:41 tronkko Exp $
#
# $Log: feat.tcl,v $
# Revision 1.5  2005/01/16 23:33:41  tronkko
# transparent color, zoom levels is now a list
#
# Revision 1.4  2005/01/09 20:57:57  tronkko
# autoscroll_margin, using file version 2, reduced zoom_levels to 2 in
# order to save memory
#
# Revision 1.3  2004/12/09 22:09:57  tronkko
# file version
#
# Revision 1.2  2004/11/30 20:26:27  tronkko
# window title
#
# Revision 1.1  2004/11/28 11:08:36  tronkko
# Initial revision
#
#
#

# set to 1 to use spinboxes (set to 0 for tk 8.0)
set have_spinbox 0

# set to 1 to validate input on the fly (set to 0 for tk 8.0)
set have_validate 0

# Number of zoom levels available.  Beware: memory consumption grows
# rapidly with zoom factors above 4.
set zoom_levels { 0.25 0.5 1 2 4 }

# number of chips to save in undo buffer
set undo_len 10000

# how quickly view travels when panning (not used in import dialog)
set pan_speed 1

# title of main window
set window_title "Peach Gardens Map Editor"

# minimum and maximum version understood by the editor
set min_file_version 1
set max_file_version 2

# version number of output files
set cur_file_version 2

# scroll automatically if mouse cursor is less than n pixels from edge
set autoscroll_margin 32

# color of transparent pixels
set transparent_color "#ff00ff"

