#
# status.tcl - status reporting
# 
# Copyright (C) 2005  Toni Ronkko
# 
# Peach Gardens is free software; you can redistribute it and/or modify 
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# Peach Gardens is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Aug 23, 2004  Toni Ronkko <toni at users.playstation2-linux.com>
# 
# $Id: status.tcl,v 1.4 2005/01/09 21:00:03 tronkko Exp $
#
# $Log: status.tcl,v $
# Revision 1.4  2005/01/09 21:00:03  tronkko
# updated copyright
#
# Revision 1.3  2004/12/09 22:15:45  tronkko
# update status bar after a short delay to prevent screen from
# flickering as the statusbar text is changed very often
#
# Revision 1.2  2004/11/30 20:28:11  tronkko
# moved menu hints to mapedit.tcl
#
# Revision 1.1  2004/11/28 11:08:26  tronkko
# Initial revision
#
#
#

# text to be copied to statusbar later
set delayed_status_text ""

#
# Write message to statusbar.  The message will be visible when idle tasks
# are updated, and it will stay visible until you change it.  The text is
# not made visible immediately as changing text several times in a row
# looks ugly.
#
proc status { msg } {
  global statusbar_widget
  global delayed_status_text
  
  if { $statusbar_widget != "" } {
    # set statusbar after a little delay
    set delayed_status_text $msg
    after idle {$statusbar_widget.text configure -text $delayed_status_text}
  } else {
    # no main window
    if { $msg != "" } {
      puts $msg
    }
  }
}
